/*
   Copyright (C) 2003, 2004, Intel Corporation

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef ATPHONE_H
#define ATPHONE_H

#include <qthread.h>
#include <termios.h>
#include "dialerimpl.h"

#define SERIAL_DEV "/dev/ttyS0"

#define RESULT_OK	      0
#define RESULT_ERROR	      1
#define RESULT_BUSY	      2
#define RESULT_NODIALTONE     3
#define RESULT_CONNECT	      4

#define INIT_STATE             0
#define INACALL_STATE          1
#define DIALING_STATE          2
#define HANGINGUP_STATE        3
#define ANSWERING_STATE        4
#define INITED_STATE             5
#define INITING_STATE          6
#define NEWCALL_STATE          7

#define CRNL "\r\n"

#if defined(QT_NO_THREAD)
#  error Thread support not enabled.
#endif

class atphone {
private:
	struct termios old_options,options;
	int send_command ( char *cmd );
	int try_send_command ( char *cmd, int times );

	pthread_t listening_thread;
public:
	class DialerImpl* dialer;
	int serial_fd;

	int state;

	atphone( class DialerImpl *dialer );
	~atphone( void );

	int dial( const char* number );
	int hangup( void );
	int answer( void );
	int init( void );
	int wait_for_ring( void );
	int generate_DTMFtone( char* str );
};
#endif
