Summary: Tslib touchscreen manager
Name: tslib
Version: 20030303
Release: 7.0.0.%{_hhl_build_id}
Group: libs
License: LGPL

Url: http://www.arm.linux.org.uk
# Not available except via CVS at the moment
Source: http://www.handhelds.org/~mallum/downloads/%{name}-%{version}.tar.gz
Patch1: tslib-mvista.patch
Patch2: tslib-config.patch
Patch3: tslib-defaultdevs.patch
Patch4: tslib-read_nr.patch
Patch5: tslib-clearcal.patch
Patch6: tslib-nonblockflag.patch
Patch7: tslib-open_type.patch
Patch8: tslib-inputapi.patch

Buildroot: /var/tmp/%{_hhl_target_arch}-%{name}-%{version}-%{release}-root
%define _defaultdocdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%define target_prefix_dir /usr

Requires: tslib-libs
Obsoletes : hhl-target-tslib
Obsoletes : hhl-%{_hhl_target_arch}-tslib
Prefix: %{_hhl_cross_target_dir}

%description
tslib manages touchscreen calibration via a universal library and interface


%package -n tslib-dev
Group: devel
Summary: requirements for tslib development
Requires: tslib-libs

Obsoletes : hhl-%{_hhl_target_arch}-tslib-dev

%description -n tslib-dev
Requirements for tslib development

%package -n tslib-libs
Group: libs
Summary: tslib shared libraries

%description -n tslib-libs
Shared libraries for tslib

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build 
%target_setup
%target_acplatvars
%{_hhl_target_toolprefix}libtoolize 
%target_configure \
	--prefix=/usr --enable-inputapi

make OBJEXT=o EXEEXT=


%install
%target_setup
%target_acplatvars
cp COPYING LICENSE
rm -rf %{buildroot}
mkdir -p %{buildroot}%{target_prefix_dir}
cd objdir
make DESTDIR=%{buildroot}%{_hhl_cross_target_dir} OBJEXT=o EXEEXT= install 
%demangle_libtool 


%files -n tslib
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING LICENSE 
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/ts.conf
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*


%files -n tslib-dev
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING LICENSE 
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/ts.conf
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libts.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libts.so
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/ts/plugins/*.la


%files -n tslib-libs
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libts-0.0.so.0
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libts-0.0.so.0.1.0
%dir %{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/ts
%dir %{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/ts/plugins
%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/ts/plugins/*.so

%clean
rm -rf %{buildroot}


%changelog
* Wed May 18 2005 Joe Green <jgreen@mvista.com>
- Corrected Linux input API support to use the interface properly.
* Sat May 14 2005 Joe Green <jgreen@mvista.com>
- Use input API.  Use MontaVista Linux default devices.
* Wed Nov 26 2003 Michael Eager <eager@mvista.com>
- Add config for xtensa-hardhat-linux.
* Mon Mar 03 2003 Douglas Lowder <dlowder@mvista.com>
- Fixed segfault bug in src/ts_parse_args.c
* Fri Nov 08 2002 Douglas Lowder <dlowder@mvista.com>
- Added ts_calibrate patch from saa -- reduces sample error in samples used for calibration
* Thu Aug 29 2002 Douglas Lowder <dlowder@mvista.com>
- Added ts_print_raw (prints uncalibrated touchscreen events) to tests
* Thu Jul 11 2002 Douglas Lowder <dlowder@mvista.com>
- Added code to support Hitachi Webpad touchscreen
- Fixed problem in plugins/linear.c (incorrect default calibration)
* Wed Jul 10 2002 Douglas Lowder <dlowder@mvista.com>
- More fixes to improve cursor stability (plugins/dejitter.c), etc., see ChangeLog
* Fri Jul 05 2002 Douglas Lowder <dlowder@mvista.com>
- More fixes for iPAQ operation
- Environment variable controls ts event type
- libtsipaq.so is removed
- see ChangeLog for details
* Wed Jul 03 2002 Douglas Lowder <dlowder@mvista.com>
- More fixes for iPAQ operation, console and framebuffer issues, see ChangeLog
* Mon Jul 01 2002 Douglas Lowder <dlowder@mvista.com>
- Added environment variables for easier configuration
- Fixes to enable operation on iPAQ
* Wed Jun 19 2002 Douglas Lowder <dlowder@mvista.com>
- Modified to include latest changes to open source CVS tree
- Patch added to have test programs open /dev/ts (MVL 2.1 compatibility)
* Thu Jun 13 2002 Michael Taht <mtaht@mvista.com>
- Ported to MontaVista Linux
* Thu Jun 13 2002 Douglas Lowder <dlowder@mvista.com>
- Modified to include Joanne Woo's changes for C++ compatibility
